<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<link rel="stylesheet" th:href="@{/css/bootstrap.min.css}">
<link rel="stylesheet" th:href="@{/css/main.css}">
<script th:src="@{/js/bootstrap.min.js}" ></script>
<head>
    <meta charset="UTF-8">
    <title>Add customer</title>
</head>
<body>
<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <a class="navbar-brand" href="/"><img style="width: 35px" th:src="@{/img/thymeleaf.png}" alt=""></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="/">Home</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/customers">View</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/add-customers">Add  <span class="sr-only">(current)</span></a>
            </li>
        </ul>
    </div>
</nav>

<div class="container inner-padded">
    <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success}">
        <strong>Success!</strong> The new customer was added.
    </div>
    <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${success} == false">
    <strong>Oops!</strong> Something has gone wrong :(
    </div>

    <div class="row justify-content-center align-items-center">
    <h1 class="display-3">New customer</h1>
    </div>
    <div class="row">
    <div class="col-sm-6 offset-3">
    <div class="card shadow-lg p-3 mb-5 bg-white rounded">
        <div class="card-body">
            <form action="#" th:action="@{/add-customers}" th:object="${customer}" method="post">
                <div class="form-group">
                    <label for="inputId">Identification code</label>
                    <input type="text" class="form-control" id="inputId" th:field="*{customerId}" required />
                    <small id="idHelp" class="form-text text-muted">This must be unique</small>
                </div>
                <div class="form-group">
                    <label for="inputCompany">Company name</label>
                    <input type="text" class="form-control" id="inputCompany" th:field="*{companyName}" required />
                    <small id="companyHelp" class="form-text text-muted">Who do you work for?</small>
                </div>
                <div class="form-group">
                    <label for="inputContact">Contact name</label>
                    <input type="text" class="form-control" id="inputContact" th:field="*{contactName}" required />
                    <small id="contactHelp" class="form-text text-muted">What's your name?</small>
                </div>
                <div class="form-group">
                    <label for="inputPhone">Phone</label>
                    <input type="text" class="form-control" id="inputPhone" th:field="*{phone}" required />
                    <small id="phoneHelp" class="form-text text-muted">Include your international code (e.g. +47)</small>
                </div>
                <button type="submit" class="btn btn-success">Add</button>
            </form>
        </div>
    </div>
    </div>
    </div>

</div>


</body>
</html>